import * as BackendUtilities from './services/backendUtility.service';
import * as ServiceUtilities from './services/utilities';
import * as Utils from '@slickgrid-universal/utils';
export * from '@slickgrid-universal/utils';
export { BasePubSubService as PubSubService, EventNamingStyle, EventSubscription, PubSubEvent } from '@slickgrid-universal/event-pub-sub';
export * from './constants';
export * from './global-grid-options';
export * from './enums/index';
export * from './interfaces/index';
export * from './aggregators/index';
export * from './aggregators/aggregators.index';
export * from './editors/index';
export * from './editors/editors.index';
export * from './extensions/index';
export * from './filter-conditions/index';
export * from './filter-conditions/filterConditions.index';
export * from './filters/index';
export * from './filters/filters.index';
export * from './filters/filterFactory';
export * from './formatters/index';
export * from './formatters/formatters.index';
export * from './grouping-formatters/index';
export * from './grouping-formatters/groupingFormatters.index';
export * from './sortComparers/index';
export * from './sortComparers/sortComparers.index';
export * from './services/index';
export { Enums } from './enums/enums.index';
declare const Utilities: {
    deepAssign: typeof Utils.deepMerge;
    addToArrayWhenNotExists<T = any>(inputArray: T[], inputItem: T, itemIdPropName?: string | undefined): void;
    addWhiteSpaces(nbSpaces: number, spaceChar?: string | undefined): string;
    arrayRemoveItemByIndex<T_1>(array: T_1[], index: number): T_1[];
    deepCopy(objectOrArray: any): any;
    deepMerge(target: any, ...sources: any[]): any;
    objectAssignAndExtend(target: any, ...sources: any): any;
    emptyObject(obj: any): any;
    isEmptyObject(obj: any): boolean;
    isDefined<T_2>(value: T_2 | null | undefined): value is T_2;
    isObject(item: any): boolean;
    isPrimitiveValue(val: any): boolean;
    hasData(value: any): boolean;
    isNumber(value: any, strict?: boolean | undefined): boolean;
    isObjectEmpty(obj: unknown): boolean;
    parseBoolean(input: any): boolean;
    removeAccentFromText(text: string, shouldLowerCase?: boolean | undefined): string;
    setDeepValue<T_3 = unknown>(obj: T_3, path: string | string[], value: any): void;
    titleCase(inputStr: string, shouldTitleCaseEveryWords?: boolean | undefined): string;
    toCamelCase(inputStr: string): string;
    toKebabCase(inputStr: string): string;
    toSentenceCase(inputStr: string): string;
    toSnakeCase(inputStr: string): string;
    uniqueArray<T_4 = any>(arr: T_4[]): T_4[];
    uniqueObjectArray(arr: any[], propertyName?: string | undefined): any[];
    sortByFieldType(fieldType: "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly", value1: any, value2: any, sortDirection: number, sortColumn?: import("./interfaces/column.interface").Column<any> | undefined, gridOptions?: import("./interfaces/gridOption.interface").GridOption | undefined): number;
    cancellablePromise<T_5 = any>(inputPromise: Promise<T_5>): import("./interfaces/cancellablePromiseWrapper.interface").CancellablePromiseWrapper<T_5>;
    castObservableToPromise<T_6>(rxjs: import("./services/rxjsFacade").RxJsFacade, input: Promise<T_6> | import("./services/rxjsFacade").Observable<T_6> | import("./services/rxjsFacade").Subject<T_6>, fromServiceName?: string): Promise<T_6>;
    addTreeLevelByMutation<T_7>(treeArray: T_7[], options: {
        childrenPropName: string;
        levelPropName: string;
    }, treeLevel?: number): void;
    addTreeLevelAndAggregatorsByMutation<T_8 = any>(treeArray: T_8[], options: {
        aggregator: import("./interfaces/aggregator.interface").Aggregator;
        childrenPropName: string;
        levelPropName: string;
    }, treeLevel?: number, parent?: T_8): void;
    flattenToParentChildArray<T_9>(treeArray: T_9[], options?: {
        aggregators?: import("./interfaces/aggregator.interface").Aggregator[] | undefined;
        parentPropName?: string | undefined;
        childrenPropName?: string | undefined;
        hasChildrenPropName?: string | undefined;
        identifierPropName?: string | undefined;
        shouldAddTreeLevelNumber?: boolean | undefined;
        levelPropName?: string | undefined;
    } | undefined): Omit<T_9, number | typeof Symbol.iterator | "charAt" | "charCodeAt" | "concat" | "indexOf" | "lastIndexOf" | "localeCompare" | "match" | "replace" | "search" | "slice" | "split" | "substring" | "toLowerCase" | "toLocaleLowerCase" | "toUpperCase" | "toLocaleUpperCase" | "trim" | "length" | "substr" | "codePointAt" | "includes" | "endsWith" | "normalize" | "repeat" | "startsWith" | "anchor" | "big" | "blink" | "bold" | "fixed" | "fontcolor" | "fontsize" | "italics" | "link" | "small" | "strike" | "sub" | "sup" | "padStart" | "padEnd" | "trimEnd" | "trimStart" | "trimLeft" | "trimRight" | "matchAll" | "at" | "toString" | "toLocaleString" | "valueOf">[];
    unflattenParentChildArrayToTree<P, T_10 extends P & {
        [childrenPropName: string]: P[];
    }>(flatArray: P[], options?: {
        aggregators?: import("./interfaces/aggregator.interface").Aggregator[] | undefined;
        childrenPropName?: string | undefined;
        collapsedPropName?: string | undefined;
        identifierPropName?: string | undefined;
        levelPropName?: string | undefined;
        parentPropName?: string | undefined;
        initiallyCollapsed?: boolean | undefined;
    } | undefined): T_10[];
    findItemInTreeStructure<T_11 = any>(treeArray: T_11[], predicate: (item: T_11) => boolean, childrenPropertyName: string): T_11 | undefined;
    decimalFormatted(input: string | number, minDecimal?: number | undefined, maxDecimal?: number | undefined, decimalSeparator?: "." | ",", thousandSeparator?: "" | "." | "," | "_" | " "): string;
    formatNumber(input: string | number, minDecimal?: number | undefined, maxDecimal?: number | undefined, wrapNegativeNumberInBraquets?: boolean | undefined, symbolPrefix?: string, symbolSuffix?: string, decimalSeparator?: "." | ",", thousandSeparator?: "" | "." | "," | "_" | " "): string;
    getCellValueFromQueryFieldGetter(columnDef: import("./interfaces/column.interface").Column<any>, dataContext: any, defaultValue: any): string;
    getDescendantProperty<T_12 = any>(object: T_12, path: string | undefined): any;
    getTranslationPrefix(gridOptions?: import("./interfaces/gridOption.interface").GridOption | undefined): string;
    getColumnFieldType(columnDef: import("./interfaces/column.interface").Column<any>): "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly";
    isColumnDateType(fieldType: "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly"): boolean;
    mapMomentDateFormatWithFieldType(fieldType: "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly"): string;
    mapFlatpickrDateFormatWithFieldType(fieldType: "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly"): string;
    mapOperatorType(operator: import("./enums/operatorType.enum").OperatorType | import("./enums/operatorString.type").OperatorString): import("./enums/operatorType.enum").OperatorType;
    mapOperatorToShorthandDesignation(operator: import("./enums/operatorType.enum").OperatorType | import("./enums/operatorString.type").OperatorString): import("./enums/operatorString.type").OperatorString;
    mapOperatorByFieldType(fieldType: "string" | "number" | "boolean" | "object" | "unknown" | "integer" | "float" | "date" | "dateIso" | "dateUtc" | "dateTime" | "dateTimeIso" | "dateTimeIsoAmPm" | "dateTimeIsoAM_PM" | "dateTimeShortIso" | "dateEuro" | "dateEuroShort" | "dateTimeShortEuro" | "dateTimeEuro" | "dateTimeEuroAmPm" | "dateTimeEuroAM_PM" | "dateTimeEuroShort" | "dateTimeEuroShortAmPm" | "dateTimeEuroShortAM_PM" | "dateUs" | "dateUsShort" | "dateTimeShortUs" | "dateTimeUs" | "dateTimeUsAmPm" | "dateTimeUsAM_PM" | "dateTimeUsShort" | "dateTimeUsShortAmPm" | "dateTimeUsShortAM_PM" | "password" | "text" | "readonly"): import("./enums/operatorType.enum").OperatorType;
    objectWithoutKey<T_13 = any>(obj: T_13, omitKey: keyof T_13): T_13;
    parseUtcDate(inputDateString: any, useUtc?: boolean | undefined): string;
    thousandSeparatorFormatted(inputValue: string | number | null, separator?: "" | "." | "," | "_" | " "): string | null;
    findOrDefault<T_14 = any>(array: T_14[], logic: (item: T_14) => boolean, defaultVal?: {}): any;
    unsubscribeAll(subscriptions: (import("./services/rxjsFacade").Subscription | import("@slickgrid-universal/event-pub-sub").EventSubscription)[]): (import("./services/rxjsFacade").Subscription | import("@slickgrid-universal/event-pub-sub").EventSubscription)[];
    CancelledException: typeof ServiceUtilities.CancelledException;
    collectionObserver(inputArray: any[], callback: (outputArray: any[], newValues: any[]) => void): void;
    propertyObserver(obj: any, prop: string, callback: (newValue: any) => void): void;
    BackendUtilityService: typeof BackendUtilities.BackendUtilityService;
};
export { Utilities };
export { SlickgridConfig } from './slickgrid-config';
export { MultipleSelectOption } from 'multiple-select-vanilla';
//# sourceMappingURL=index.d.ts.map